package providers

import "git.tebibyte.media/sashakoshka/step"
import fpos       "git.tebibyte.media/sashakoshka/step/providers/os"
import fpsprig    "git.tebibyte.media/sashakoshka/step/providers/sprig"
import fpmarkdown "git.tebibyte.media/sashakoshka/step/providers/markdown"

// All returns a slice of all providers defined in sub-packages.
func All () []step.FuncProvider {
	return []step.FuncProvider {
		new(fpos.Provider),
		new(fpsprig.Provider),
		new(fpmarkdown.Provider),
	}
}
